package cn.ibizlab.assetmanagement.core.workorder.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.assetmanagement.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.assetmanagement.core.workorder.domain.EAMWOType;
/**
 * 关系型数据实体[EAMWOType] 查询条件对象
 */
@Slf4j
@Data
public class EAMWOTypeSearchContext extends QueryWrapperContext<EAMWOType> {

	private String n_eamwotypename_like;//[工单类型名称]
	public void setN_eamwotypename_like(String n_eamwotypename_like) {
        this.n_eamwotypename_like = n_eamwotypename_like;
        if(!ObjectUtils.isEmpty(this.n_eamwotypename_like)){
            this.getSearchCond().like("eamwotypename", n_eamwotypename_like);
        }
    }
	private String n_eamwostatemodelid_eq;//[工单状态模型标识]
	public void setN_eamwostatemodelid_eq(String n_eamwostatemodelid_eq) {
        this.n_eamwostatemodelid_eq = n_eamwostatemodelid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamwostatemodelid_eq)){
            this.getSearchCond().eq("eamwostatemodelid", n_eamwostatemodelid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("eamwotypename", query)   
            );
		 }
	}
}



